#
# Conditional build:
%bcond_with	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	PerlQt
Summary:	Qt - A Perl module interface to Qt
Summary(pl.UTF-8):	Qt - interfejs Perla do Qt
Name:		perl-Qt
Version:	3.008
Release:	8
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Qt/%{pdir}-%{version}.tar.gz
# Source0-md5:	a0cdc0c86b3e79c56f09f2af8c4c2c39
Patch0:		format-security.patch
URL:		http://search.cpan.org/dist/Qt/
BuildRequires:	libstdc++-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	qt-devel
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Qt module itself only creates a $qApp and exports some QGlobal
imports.

This module is not the whole of the Qt interface, though. Each header
in Qt which holds a class is represented by a module with the name of
that class. Classes like QWidget and QApplication are represented by
modules of the same name. QResizeEvent is not a module, but rather is
part of the QEvent module, just as the QResizeEvent class is a part of
qevent.h.

Each class header that has been interfaced to Perl has a pod attached
which describes the function interface from Qt.

%description -l pl.UTF-8
Interfejs Perla do Qt.

%prep
%setup -q -n %{pdir}-%{version}
%patch0 -p1

%{__sed} 's/ -Wmissing-prototypes / /' -i configure

%build
%{__perl} Makefile.PL \
	--prefix=%{_prefix} \
	--with-qt-dir=%{_libdir} \
	INSTALLDIRS=vendor

%configure

cd PerlQt
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
cd ..

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc INSTALL README TODO
%attr(755,root,root) %{_bindir}/pqtapi
%attr(755,root,root) %{_bindir}/pqtsh
%attr(755,root,root) %{_bindir}/puic
%{perl_vendorarch}/Qt.pm
%dir %{perl_vendorarch}/Qt
%{perl_vendorarch}/Qt/*.pm
%dir %{perl_vendorarch}/auto/Qt
%attr(755,root,root) %{perl_vendorarch}/auto/Qt/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Qt/*.so
%{_mandir}/man1/puic.1*
%{_mandir}/man3/Qt.3*
%attr(755,root,root) %{_libdir}/libsmokeqt.so.*.*.*
%ghost %attr(755,root,root) %{_libdir}/libsmokeqt.so.1
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Qt.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ad206e8
- release 8 (by relup.sh)

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 58004ac
- release 7 (by relup.sh)

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 4a619ed
- fix format string errors

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> ed891f6
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 3260615
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c504947
- release 4

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a834876
- release 3

* Sun Feb 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9bdf7e5
- rel 2

* Sun Feb 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7b34b91
- rel 1

* Fri Feb 19 2010 sparky <sparky@pld-linux.org> 19371c3
- remove -Wmissing-prototypes because it isn't valid for C++ (-fPIC is accepted
  now)
- builds, but does not install in vendor directories
- disabled tests - requires X server
- temporarily removed CC and OPTIMIZE because it brakes build
- BR: libstdc++-devel, qt-devel, xorg-lib-libXext-devel, xorg-lib-libXi-devel,
  xorg-lib-libXt-devel, zlib-devel

* Fri Feb 19 2010 ankry <ankry@pld-linux.org> 0df9867
- 3.008, does not build

* Wed Jun 17 2009 amateja <amateja@pld-linux.org> d6238da
- initial

